
; Header File therm.inc

;----------------------------------------------------------------------
; Thermistor PwLI Lookup Table Defines:
;----------------------------------------------------------------------

; Number of segments in the lookup table

;NUM_SEGMENTS EQU D'64'
;TABLE_LENGTH EQU (NUM_SEGMENTS * 2) + 1

; Thermistor 10-bit ADC value to degrees C

SEGMENT0_1    equ     D'0'
SEGMENT1_1    equ     D'0'
SEGMENT2_1    equ     D'0'
SEGMENT3_1    equ     D'0'
SEGMENT4_1    equ     D'0'
SEGMENT5_1    equ     D'0'
SEGMENT6_1    equ     D'0'
SEGMENT7_1    equ     D'512'
SEGMENT8_1    equ     D'472'
SEGMENT9_1    equ     D'437'
SEGMENT10_1   equ     D'406'
SEGMENT11_1   equ     D'378'
SEGMENT12_1   equ     D'352'
SEGMENT13_1   equ     D'328'
SEGMENT14_1   equ     D'306'
SEGMENT15_1   equ     D'285'
SEGMENT16_1   equ     D'265'
SEGMENT17_1   equ     D'246'
SEGMENT18_1   equ     D'228'
SEGMENT19_1   equ     D'211'
SEGMENT20_1   equ     D'195'
SEGMENT21_1   equ     D'180'
SEGMENT22_1   equ     D'164'
SEGMENT23_1   equ     D'149'
SEGMENT24_1   equ     D'135'
SEGMENT25_1   equ     D'120'
SEGMENT26_1   equ     D'107'
SEGMENT27_1   equ     D'93'
SEGMENT28_1   equ     D'80'
SEGMENT29_1   equ     D'67'
SEGMENT30_1   equ     D'54'
SEGMENT31_1   equ     D'41'
SEGMENT32_1   equ     D'29'
SEGMENT33_1   equ     D'16'
SEGMENT34_1   equ     D'4'
SEGMENT35_1   equ     0xFFFF-D'8'+D'1'
SEGMENT36_1   equ     0xFFFF-D'21'+D'1'
SEGMENT37_1   equ     0xFFFF-D'33'+D'1'
SEGMENT38_1   equ     0xFFFF-D'45'+D'1'
SEGMENT39_1   equ     0xFFFF-D'58'+D'1'
SEGMENT40_1   equ     0xFFFF-D'70'+D'1'
SEGMENT41_1   equ     0xFFFF-D'83'+D'1'
SEGMENT42_1   equ     0xFFFF-D'96'+D'1'
SEGMENT43_1   equ     0xFFFF-D'108'+D'1'
SEGMENT44_1   equ     0xFFFF-D'122'+D'1'
SEGMENT45_1   equ     0xFFFF-D'135'+D'1'
SEGMENT46_1   equ     0xFFFF-D'149'+D'1'
SEGMENT47_1   equ     0xFFFF-D'163'+D'1'
SEGMENT48_1   equ     0xFFFF-D'177'+D'1'
SEGMENT49_1   equ     0xFFFF-D'192'+D'1'
SEGMENT50_1   equ     0xFFFF-D'207'+D'1'
SEGMENT51_1   equ     0xFFFF-D'223'+D'1'
SEGMENT52_1   equ     0xFFFF-D'240'+D'1'
SEGMENT53_1   equ     0xFFFF-D'258'+D'1'
SEGMENT54_1   equ     0xFFFF-D'277'+D'1'
SEGMENT55_1   equ     0xFFFF-D'297'+D'1'
SEGMENT56_1   equ     0xFFFF-D'318'+D'1'
SEGMENT57_1   equ     0xFFFF-D'342'+D'1'
SEGMENT58_1   equ     0xFFFF-D'369'+D'1'
SEGMENT59_1   equ     0xFFFF-D'399'+D'1'
SEGMENT60_1   equ     0xFFFF-D'435'+D'1'
SEGMENT61_1   equ     D'0'
SEGMENT62_1   equ     D'0'
SEGMENT63_1   equ     D'0'
SEGMENT64_1   equ     D'0'

SEGMENT0_8    equ     D'0'
SEGMENT1_8    equ     D'0'
SEGMENT2_8    equ     D'0'
SEGMENT3_8    equ     D'0'
SEGMENT4_8    equ     D'0'
SEGMENT5_8    equ     D'0'
SEGMENT6_8    equ     D'0'
SEGMENT7_8    equ     D'0'
SEGMENT8_8    equ     D'0'
SEGMENT9_8    equ     D'0'
SEGMENT10_8   equ     D'0'
SEGMENT11_8   equ     D'0'
SEGMENT12_8   equ     D'0'
SEGMENT13_8   equ     D'0'
SEGMENT14_8   equ     D'949'
SEGMENT15_8   equ     D'926'
SEGMENT16_8   equ     D'904'
SEGMENT17_8   equ     D'884'
SEGMENT18_8   equ     D'865'
SEGMENT19_8   equ     D'847'
SEGMENT20_8   equ     D'830'
SEGMENT21_8   equ     D'815'
SEGMENT22_8   equ     D'800'
SEGMENT23_8   equ     D'785'
SEGMENT24_8   equ     D'772'
SEGMENT25_8   equ     D'759'
SEGMENT26_8   equ     D'746'
SEGMENT27_8   equ     D'734'
SEGMENT28_8   equ     D'723'
SEGMENT29_8   equ     D'712'
SEGMENT30_8   equ     D'702'
SEGMENT31_8   equ     D'691'
SEGMENT32_8   equ     D'681'
SEGMENT33_8   equ     D'672'
SEGMENT34_8   equ     D'663'
SEGMENT35_8   equ     D'654'
SEGMENT36_8   equ     D'645'
SEGMENT37_8   equ     D'637'
SEGMENT38_8   equ     D'629'
SEGMENT39_8   equ     D'621'
SEGMENT40_8   equ     D'613'
SEGMENT41_8   equ     D'606'
SEGMENT42_8   equ     D'598'
SEGMENT43_8   equ     D'591'
SEGMENT44_8   equ     D'584'
SEGMENT45_8   equ     D'578'
SEGMENT46_8   equ     D'571'
SEGMENT47_8   equ     D'565'
SEGMENT48_8   equ     D'558'
SEGMENT49_8   equ     D'552'
SEGMENT50_8   equ     D'546'
SEGMENT51_8   equ     D'540'
SEGMENT52_8   equ     D'534'
SEGMENT53_8   equ     D'529'
SEGMENT54_8   equ     D'523'
SEGMENT55_8   equ     D'518'
SEGMENT56_8   equ     D'512'
SEGMENT57_8   equ     D'507'
SEGMENT58_8   equ     D'502'
SEGMENT59_8   equ     D'497'
SEGMENT60_8   equ     D'492'
SEGMENT61_8   equ     D'0'
SEGMENT62_8   equ     D'0'
SEGMENT63_8   equ     D'0'
SEGMENT64_8   equ     D'0'

SEGMENT0_32    equ     D'0'
SEGMENT1_32    equ     D'0'
SEGMENT2_32    equ     D'0'
SEGMENT3_32    equ     D'0'
SEGMENT4_32    equ     D'0'
SEGMENT5_32    equ     D'0'
SEGMENT6_32    equ     D'0'
SEGMENT7_32    equ     D'0'
SEGMENT8_32    equ     D'0'
SEGMENT9_32    equ     D'0'
SEGMENT10_32   equ     D'0'
SEGMENT11_32   equ     D'0'
SEGMENT12_32   equ     D'0'
SEGMENT13_32   equ     D'1509'
SEGMENT14_32   equ     D'1477'
SEGMENT15_32   equ     D'1448'
SEGMENT16_32   equ     D'1421'
SEGMENT17_32   equ     D'1396'
SEGMENT18_32   equ     D'1372'
SEGMENT19_32   equ     D'1350'
SEGMENT20_32   equ     D'1329'
SEGMENT21_32   equ     D'1310'
SEGMENT22_32   equ     D'1292'
SEGMENT23_32   equ     D'1274'
SEGMENT24_32   equ     D'1258'
SEGMENT25_32   equ     D'1242'
SEGMENT26_32   equ     D'1227'
SEGMENT27_32   equ     D'1212'
SEGMENT28_32   equ     D'1198'
SEGMENT29_32   equ     D'1185'
SEGMENT30_32   equ     D'1172'
SEGMENT31_32   equ     D'1160'
SEGMENT32_32   equ     D'1148'
SEGMENT33_32   equ     D'1137'
SEGMENT34_32   equ     D'1126'
SEGMENT35_32   equ     D'1115'
SEGMENT36_32   equ     D'1105'
SEGMENT37_32   equ     D'1095'
SEGMENT38_32   equ     D'1085'
SEGMENT39_32   equ     D'1076'
SEGMENT40_32   equ     D'1067'
SEGMENT41_32   equ     D'1058'
SEGMENT42_32   equ     D'1050'
SEGMENT43_32   equ     D'1041'
SEGMENT44_32   equ     D'1033'
SEGMENT45_32   equ     D'1025'
SEGMENT46_32   equ     D'1017'
SEGMENT47_32   equ     D'1010'
SEGMENT48_32   equ     D'1003'
SEGMENT49_32   equ     D'995'
SEGMENT50_32   equ     D'988'
SEGMENT51_32   equ     D'982'
SEGMENT52_32   equ     D'975'
SEGMENT53_32   equ     D'968'
SEGMENT54_32   equ     D'962'
SEGMENT55_32   equ     D'956'
SEGMENT56_32   equ     D'949'
SEGMENT57_32   equ     D'943'
SEGMENT58_32   equ     D'937'
SEGMENT59_32   equ     D'932'
SEGMENT60_32   equ     D'926'
SEGMENT61_32   equ     D'0'
SEGMENT62_32   equ     D'0'
SEGMENT63_32   equ     D'0'
SEGMENT64_32   equ     D'0'
